#include <iostream>
#include <cmath>

using namespace std;

char hodiny[51][51] = {};
int x1, y1, x2, y2;

float line(float angle){
	float k = tan(angle);
	return k;
}




void clear_hodiny(){
	for(int i=0; i<51; i++){
		if(i%10==0){
			hodiny[i][0] = '@';
			hodiny[i][50] = '@';
			hodiny[0][i] = '@';
			hodiny[50][i] = '@';
		}
		else{
			hodiny[i][0] = 'X';
			hodiny[i][50] = 'X';
			hodiny[0][i] = 'X';
			hodiny[50][i] = 'X';
		}
	}
	hodiny[24][2] = '1';
	hodiny[26][2] = '2';
	hodiny[2][25] = '9';
	hodiny[48][25] = '3';
	hodiny[25][48] = '6';
	hodiny[25][25] = '*';
}



void print(){
	for(int i=0; i<51; i++){
		for(int j=0; j<51; j++){
			if(hodiny[j][i]==0){
				cout << ' ';
			}
			else{
				cout << hodiny[j][i];
			}
		}
		cout << '\n';
	}
}


int main(){
	int a, b;
	scanf("%i:%i", &a, &b);
	// minutovka
	float angle = b*6;
	float k = line(angle);
	int smer=0;
	if (angle >= 315 || angle <= 45) smer = 0;
	else if (angle >= 45 && angle <= 135) smer = 1;
	else if (angle >=135 && angle <= 225) smer = 3;
	else smer = 4;

	if (smer == 0 || smer == 2) {
		// otazniky
		for (int row = 0; row < 21; ++row) {
			int col = round(k*row);
			hodiny[25+col][25-row] = '?';
		}
		// prepsani
		for (int row = 1; row < 21; ++row) {
			int col = round(k*row);
			if (hodiny[25+col-1][25-row+1] == '?' && hodiny[25+col+1][25-row-1] == '?')
				hodiny[25+col][25-row] = '\';
			else if (hodiny[25+col-1][25-row-1] == '?' && hodiny[25+col+1][25-row+1] == '?')
				hodiny[25+col][25-row] = '/';
			else if (hodiny[25+col][25-row-1] == '?' && hodiny[25+col][25-row+1] == '?')
				hodiny[25+col][25-row] = '|';
			else if (hodiny[25+col-1][25-row] == '?' && hodiny[25+col+1][25-row] == '?')
				hodiny[25+col][25-row] = '-';
			else 
				hodiny[25+col][25-row] = 'o';
		}
	}
	
	print();
	clear_hodiny();
	return 0;
}
